
QGIS Application - Bug report #20330

CRASH : Settings->Options

2018-11-02 11:48 AM - al piszcz

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.5(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 28151

Description

User Feedback

Settings->Options (CRASH)

Report Details

Crash ID: 30cc5145a2a70d68ed696fe678fb4bc25d72cb49

Stack Trace

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetGLContextInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetKernelSubGroupInfoKHR :

clGetPlatformIDs :

clEnqueueTask :

clEnqueueWriteBufferRect :

clEnqueueWriteBufferRect :

clWaitForEvents :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

clGetPlatformIDs :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

RtlRunOnceExecuteOnce :

InitOnceExecuteOnce :

_crtInitOnceExecuteOnce :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsLayoutItemMapItemStack::moveItemUp :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QgsHandleBadLayers::qt_metacall :

QMetaObject::activate :

QAction::activate :
QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsLayoutItemMapItemStack::moveItemUp :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsLayoutItemMapItemStack::moveItemUp :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsHandleBadLayers::qt_metacall :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:9e45223d42

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Duplicates QGIS Application - Bug report # 20363: QGIS 3.4.1 : CRASH : Settin... Closed 2018-11-05

History

#1 - 2018-11-11 02:16 PM - Jürgen Fischer

- Duplicates Bug report #20363: QGIS 3.4.1 : CRASH : Settings->Options (OpenCL related) added

#2 - 2018-11-11 02:16 PM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

#3 - 2018-11-11 02:33 PM - al piszcz

I uninstalled the INTEL Graphics Driver on Windows 10/64 v1709 and QGIS 3.4.1 no longer crashes.

Thank you.
